#AMP Toolbox - Accelerated Mobile Pages
The Must have AMP plugin for WordPress. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site. More details on https://wordpress.org/plugins/accelerated-mobile-pages/ & http://AMPforWP.com

=== AMP Toolbox - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google
Requires at least: 3.0
Tested up to: 4.6.1
Stable tag: 0.8.4
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

The Must have AMP plugin for WordPress. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site. AMP WP is a plugin that needs to no configuration, just activate it and you are done.

[What's New in Version 0.8.4?](http://ampforwp.com/blog/structured-data-validation/) | [Priority Support](http://ampforwp.com/priority-support/) | [View Demo and Screenshot of the plugin](http://ahmedkaludi.com/accelerated-mobile-pages/)

[youtube https://www.youtube.com/watch?v=zzRy6Q_VGGc]

**Features:**

* Automatically integrate AMP to your website. 
* Google Adsense (AMP-AD) Support with 4 different Ad slots across the layout! The First Plugin to have this capability. 
* 7 Advertisement sizes 
* Google Analytics Support. 
* User Friendly Theme Options Panel. 
* Unlimited Color Scheme. 
* Image Logo Upload. 
* Supports Posts and Pages. 
* Proper rel canonical tags which means that Google know the original page. 
* Overlay Navigation Menu bar. 
* Social Sharing in the Single. 
* Sexy Design. 
* Separate WordPress Menu for AMP version. 
* Page builder & Shortcodes Compatibility. 
* Carousel support for Gallery. 
* Better Image stretching and resizing. 
* Youtube Video Embed Support. 
* Vine Embed Support. 
* Twitter oembed Support. 
* Instagram Embed Support. 
* Facebook Video Embed Support. 
* RTL Support
* Custom AMP FrontPage
* Notifications
* Great Support & Active Development. 


**NOTE:** Next Update of this plugin will be released by mid October 2016.

**How to test if AMP is working or not?**
After you install the plugin, Google will automatically index the amp pages using the amp tag and then show you the updates in the search console.

**How can I view the AMP version of my site**
To view the AMP version, add /?amp at the end of your url. An example would be http://Website.com/?amp .... and No, you don't have to worry about duplication of the content because that has been taken care of the canonical tag as suggested by Google.

**How do I Report Bugs and Suggest New Features**
<i>You</i> can report the bugs at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues

**Will you Add New features upon my request?**
Yes, Absolutely! I would suggest you to send your feature request by creating an issue in Github at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/ . It helps us organize the feedback easily.

**How do I get in touch?**
You can contact me using this url: http://ahmedkaludi.com/contact-me/


== Installation ==
1. Upload the folder to the `/wp-content/plugins/` directory
2. Activate the plugin through the 'Plugins' menu in WordPress
3. You can access your amp enabled website by adding ?amp at the end of the url.


== Frequently Asked Questions ==
= How to Setup Navigation Menu? =
We have created a Seperate Navigation menu for AMP version which you can setup from the WordPress Menus, then navigate to Menu Locations, their you will notice AMP Menu. You can assign existing menus to this locations.

= I added /?amp on the end of one of my URLs and a minimalist version of my page appeared. It looks just like on one of your screenshots, so I guess its installed properly. Okay what now? Is it just enough to install it and the plugin will do the rest? =

After you see the minimalist view if you use the url with ?amp then it means that it has been installed properly. You dont need any extra steps to enable it.

= The plugin supposed to redirect all mobile visitors to AMP version of site or not? =
When you view the website from the mobile, it is not supposed to redirect you to the amp version, amp version is always ready for google in the backend, if Google wants to serve to the people, then it will get the amp version and serve to the customers.

= I am worried that it will cause Duplicate content? =
In the AMP version, we are using Canonical tag to solve this. I am 100% sure that using this plugin will not duplicate the content.

= How do I know that my site is AMP enabled? =
Add /?amp at the end of your website url and you will get amp version of your website.

= I have addded /?amp at the end of the url and still I am not able to see the AMP version of my site? =
Please check if you have "Pretty Permalinks" enabled. If not then activate it.

= How do I report Bug reports? =
Before you submit a new bug, please check if there already is an existing bug report for it. If so, it may be far more valuable to add to the existing one, than to create a new bug report. You can submit bug reports and feature requests at GitHub Issues Page.

= How do I know that my site is AMP enabled? =
Add /?amp at the end of your website url and you will get amp version of your website.

= I have addded /?amp at the end of the url and still I'm not able to see the AMP version of my site? =
Please check if you have "Pretty Permalinks" enabled. If not then activate it. For more details about Pretty Permalinks check out this wonderful article https://codex.wordpress.org/Using_Permalinks



== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.


== Changelog ==
= 0.8.4 =
* Proper Details at http://ampforwp.com/blog/structured-data-validation/
* Structured Data Validation
* Navigation Text Change
* Inline Style Validation
* Form Validation
* Frontpage shows the amphtml rel twice fixed
* Facebook Sharing not working

= 0.8.3 =
* Prefix added in the Content filter
* Extra space after quote in Ads

= 0.8.2 =
* Proper Details at http://ampforwp.com/blog/the-custom-frontpage/
* Custom AMP FrontPage
* Featured Image
* New Mobile Friendly Advertisement sizes
* Single Post Pagination Option
* RTL Support
* Notifications
* Gaping if the Meta was turned off.
* Analytics was not fetching the user id properly.
* Page was not using the post template along with the AD support.
* AMP Endpoint support for Paged when the front page is active.
* UI improvement of Admin panel
* Few Validation issues fixed

= 0.8.1 =
* Warning: Cannot modify header information error fixed
* Validation issue fixed. KK Star Plugin compatible.
* Gaping in the smaller screens fixed

= 0.8 =
* Proper Details at http://ampforwp.com/blog/the-change/
* Plugin was re-written from scratch and is now built on top of default AMP plugin by Automattic but giving you the same features of the original plugin.
* 99.5% Validation issues were fixed.
* Page builder & Shortcodes Compatibility Support Added
* Conflict with JSON API
* Carousel support for Gallery
* Better Image stretching and resizing
* Youtube Video Embed Support
* Vine Embed Support
* Twitter oembed Support
* Instagram Embed Support
* Facebook Video Embed Support
* Better Future Compatibility

= 0.7.7 =
* Proper Details at http://ampforwp.com/blog/amp-0-7-7/
* Big Validation Error fix Update
* Disable AMP support on specific Pages and Posts
* Option to disable the Post meta from the Single
* Footer Credits and Copyright Text Option
* New options for Social Sharing Bar in Single
* Jetpack Social & Related Sharing Issue fixed
* Gaping in footer if the Sticky bar is enabled
* Text domain added on few strings

= 0.7.6 =
* Google Adsense Support Added with AMP-Ad
* Wrong Homepage rel amphtml bug fixed

= 0.7.5 =
* Google Analytics Support Added
* Logo Support Added. If the logo is disabled, then the Title should be activated.
* Color Scheme Feature Added
* User friendly Options Panel Added
* iFrame support Added
* Few Minor Bugs Fixed

= 0.7.1 =
* Bug #24 (Github) fixed
* Strip Style tags for faster & better validation
* Bug #21 (Github) fixed

= 0.7 =
* Canonical Improved
* Navigation Validation bug fixed
* Two more validation bugs fixed ('role' and 'tabindex' attribute)
* Featured image automatically hides if it is not present
* Validation issues in the images of the post's the_content

= 0.6 =
* Improved Navigation Menu
* Search Console errors fixed
* Social Sharing option
* Pages support
* Force redirection for mobile users removed and many other bug fixes

= 0.5 =
* Added AMP Markup for Google Structured data. This will fix the issues in Webmaster tools.

= 0.4 =
* Support of Custom menu added for AMP enabled sites

= 0.3 =
* Support of amp-img added in single posts
* minor css bug fixed

= 0.2.5 =
* Minor bugs fixed
* ?mobile & ?nomobile is now ?amp & ?noamp

= 0.2 =
* White Screen of death issue fixed
* Plugin URI updated

= 0.1 =
* Initial version